1361fd494382ec336246ecfb69be2cf89f4936f7
[ppastats.git] / tests / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18 am__make_running_with_option = \
19   case $${target_option-} in \
20       ?) ;; \
21       *) echo "am__make_running_with_option: internal error: invalid" \
22               "target option '$${target_option-}' specified" >&2; \
23          exit 1;; \
24   esac; \
25   has_opt=no; \
26   sane_makeflags=$$MAKEFLAGS; \
27   if $(am__is_gnu_make); then \
28     sane_makeflags=$$MFLAGS; \
29   else \
30     case $$MAKEFLAGS in \
31       *\\[\ \   ]*) \
32         bs=\\; \
33         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
35     esac; \
36   fi; \
37   skip_next=no; \
38   strip_trailopt () \
39   { \
40     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41   }; \
42   for flg in $$sane_makeflags; do \
43     test $$skip_next = yes && { skip_next=no; continue; }; \
44     case $$flg in \
45       *=*|--*) continue;; \
46         -*I) strip_trailopt 'I'; skip_next=yes;; \
47       -*I?*) strip_trailopt 'I';; \
48         -*O) strip_trailopt 'O'; skip_next=yes;; \
49       -*O?*) strip_trailopt 'O';; \
50         -*l) strip_trailopt 'l'; skip_next=yes;; \
51       -*l?*) strip_trailopt 'l';; \
52       -[dEDm]) skip_next=yes;; \
53       -[JT]) skip_next=yes;; \
54     esac; \
55     case $$flg in \
56       *$$target_option*) has_opt=yes; break;; \
57     esac; \
58   done; \
59   test $$has_opt = yes
60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62 pkgdatadir = $(datadir)/@PACKAGE@
63 pkgincludedir = $(includedir)/@PACKAGE@
64 pkglibdir = $(libdir)/@PACKAGE@
65 pkglibexecdir = $(libexecdir)/@PACKAGE@
66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67 install_sh_DATA = $(install_sh) -c -m 644
68 install_sh_PROGRAM = $(install_sh) -c
69 install_sh_SCRIPT = $(install_sh) -c
70 INSTALL_HEADER = $(INSTALL_DATA)
71 transform = $(program_transform_name)
72 NORMAL_INSTALL = :
73 PRE_INSTALL = :
74 POST_INSTALL = :
75 NORMAL_UNINSTALL = :
76 PRE_UNINSTALL = :
77 POST_UNINSTALL = :
78 build_triplet = @build@
79 host_triplet = @host@
80 TESTS = test-strrep$(EXEEXT)
81 check_PROGRAMS = test-strrep$(EXEEXT)
82 subdir = tests
83 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
84         $(top_srcdir)/depcomp $(top_srcdir)/test-driver
85 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
86 am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
87         $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
88         $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
89         $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/nls.m4 \
90         $(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
91         $(top_srcdir)/configure.ac
92 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
93         $(ACLOCAL_M4)
94 mkinstalldirs = $(install_sh) -d
95 CONFIG_HEADER = $(top_builddir)/config.h
96 CONFIG_CLEAN_FILES =
97 CONFIG_CLEAN_VPATH_FILES =
98 am_test_strrep_OBJECTS = test_strrep-test_strrep.$(OBJEXT) \
99         test_strrep-pstr.$(OBJEXT)
100 test_strrep_OBJECTS = $(am_test_strrep_OBJECTS)
101 test_strrep_LDADD = $(LDADD)
102 test_strrep_LINK = $(CCLD) $(test_strrep_CFLAGS) $(CFLAGS) \
103         $(AM_LDFLAGS) $(LDFLAGS) -o $@
104 AM_V_P = $(am__v_P_@AM_V@)
105 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
106 am__v_P_0 = false
107 am__v_P_1 = :
108 AM_V_GEN = $(am__v_GEN_@AM_V@)
109 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
110 am__v_GEN_0 = @echo "  GEN     " $@;
111 am__v_GEN_1 = 
112 AM_V_at = $(am__v_at_@AM_V@)
113 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
114 am__v_at_0 = @
115 am__v_at_1 = 
116 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
117 depcomp = $(SHELL) $(top_srcdir)/depcomp
118 am__depfiles_maybe = depfiles
119 am__mv = mv -f
120 AM_V_lt = $(am__v_lt_@AM_V@)
121 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
122 am__v_lt_0 = --silent
123 am__v_lt_1 = 
124 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
125         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
126 AM_V_CC = $(am__v_CC_@AM_V@)
127 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
128 am__v_CC_0 = @echo "  CC      " $@;
129 am__v_CC_1 = 
130 CCLD = $(CC)
131 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
132 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
133 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
134 am__v_CCLD_0 = @echo "  CCLD    " $@;
135 am__v_CCLD_1 = 
136 SOURCES = $(test_strrep_SOURCES)
137 DIST_SOURCES = $(test_strrep_SOURCES)
138 am__can_run_installinfo = \
139   case $$AM_UPDATE_INFO_DIR in \
140     n|no|NO) false;; \
141     *) (install-info --version) >/dev/null 2>&1;; \
142   esac
143 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
144 # Read a list of newline-separated strings from the standard input,
145 # and print each of them once, without duplicates.  Input order is
146 # *not* preserved.
147 am__uniquify_input = $(AWK) '\
148   BEGIN { nonempty = 0; } \
149   { items[$$0] = 1; nonempty = 1; } \
150   END { if (nonempty) { for (i in items) print i; }; } \
151 '
152 # Make sure the list of sources is unique.  This is necessary because,
153 # e.g., the same source file might be shared among _SOURCES variables
154 # for different programs/libraries.
155 am__define_uniq_tagged_files = \
156   list='$(am__tagged_files)'; \
157   unique=`for i in $$list; do \
158     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
159   done | $(am__uniquify_input)`
160 ETAGS = etags
161 CTAGS = ctags
162 am__tty_colors_dummy = \
163   mgn= red= grn= lgn= blu= brg= std=; \
164   am__color_tests=no
165 am__tty_colors = { \
166   $(am__tty_colors_dummy); \
167   if test "X$(AM_COLOR_TESTS)" = Xno; then \
168     am__color_tests=no; \
169   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
170     am__color_tests=yes; \
171   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
172     am__color_tests=yes; \
173   fi; \
174   if test $$am__color_tests = yes; then \
175     red='\e[0;31m'; \
176     grn='\e[0;32m'; \
177     lgn='\e[1;32m'; \
178     blu='\e[1;34m'; \
179     mgn='\e[0;35m'; \
180     brg='\e[1m'; \
181     std='\e[m'; \
182   fi; \
183 }
184 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
185 am__vpath_adj = case $$p in \
186     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
187     *) f=$$p;; \
188   esac;
189 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
190 am__install_max = 40
191 am__nobase_strip_setup = \
192   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
193 am__nobase_strip = \
194   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
195 am__nobase_list = $(am__nobase_strip_setup); \
196   for p in $$list; do echo "$$p $$p"; done | \
197   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
198   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
199     if (++n[$$2] == $(am__install_max)) \
200       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
201     END { for (dir in files) print dir, files[dir] }'
202 am__base_list = \
203   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
204   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
205 am__uninstall_files_from_dir = { \
206   test -z "$$files" \
207     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
208     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
209          $(am__cd) "$$dir" && rm -f $$files; }; \
210   }
211 am__recheck_rx = ^[     ]*:recheck:[    ]*
212 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
213 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
214 # A command that, given a newline-separated list of test names on the
215 # standard input, print the name of the tests that are to be re-run
216 # upon "make recheck".
217 am__list_recheck_tests = $(AWK) '{ \
218   recheck = 1; \
219   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
220     { \
221       if (rc < 0) \
222         { \
223           if ((getline line2 < ($$0 ".log")) < 0) \
224             recheck = 0; \
225           break; \
226         } \
227       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
228         { \
229           recheck = 0; \
230           break; \
231         } \
232       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
233         { \
234           break; \
235         } \
236     }; \
237   if (recheck) \
238     print $$0; \
239   close ($$0 ".trs"); \
240   close ($$0 ".log"); \
241 }'
242 # A command that, given a newline-separated list of test names on the
243 # standard input, create the global log from their .trs and .log files.
244 am__create_global_log = $(AWK) ' \
245 function fatal(msg) \
246 { \
247   print "fatal: making $@: " msg | "cat >&2"; \
248   exit 1; \
249 } \
250 function rst_section(header) \
251 { \
252   print header; \
253   len = length(header); \
254   for (i = 1; i <= len; i = i + 1) \
255     printf "="; \
256   printf "\n\n"; \
257 } \
258 { \
259   copy_in_global_log = 1; \
260   global_test_result = "RUN"; \
261   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
262     { \
263       if (rc < 0) \
264          fatal("failed to read from " $$0 ".trs"); \
265       if (line ~ /$(am__global_test_result_rx)/) \
266         { \
267           sub("$(am__global_test_result_rx)", "", line); \
268           sub("[        ]*$$", "", line); \
269           global_test_result = line; \
270         } \
271       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
272         copy_in_global_log = 0; \
273     }; \
274   if (copy_in_global_log) \
275     { \
276       rst_section(global_test_result ": " $$0); \
277       while ((rc = (getline line < ($$0 ".log"))) != 0) \
278       { \
279         if (rc < 0) \
280           fatal("failed to read from " $$0 ".log"); \
281         print line; \
282       }; \
283       printf "\n"; \
284     }; \
285   close ($$0 ".trs"); \
286   close ($$0 ".log"); \
287 }'
288 # Restructured Text title.
289 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
290 # Solaris 10 'make', and several other traditional 'make' implementations,
291 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
292 # by disabling -e (using the XSI extension "set +e") if it's set.
293 am__sh_e_setup = case $$- in *e*) set +e;; esac
294 # Default flags passed to test drivers.
295 am__common_driver_flags = \
296   --color-tests "$$am__color_tests" \
297   --enable-hard-errors "$$am__enable_hard_errors" \
298   --expect-failure "$$am__expect_failure"
299 # To be inserted before the command running the test.  Creates the
300 # directory for the log if needed.  Stores in $dir the directory
301 # containing $f, in $tst the test, in $log the log.  Executes the
302 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
303 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
304 # will run the test scripts (or their associated LOG_COMPILER, if
305 # thy have one).
306 am__check_pre = \
307 $(am__sh_e_setup);                                      \
308 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
309 $(am__tty_colors);                                      \
310 srcdir=$(srcdir); export srcdir;                        \
311 case "$@" in                                            \
312   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
313     *) am__odir=.;;                                     \
314 esac;                                                   \
315 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
316   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
317 if test -f "./$$f"; then dir=./;                        \
318 elif test -f "$$f"; then dir=;                          \
319 else dir="$(srcdir)/"; fi;                              \
320 tst=$$dir$$f; log='$@';                                 \
321 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
322   am__enable_hard_errors=no;                            \
323 else                                                    \
324   am__enable_hard_errors=yes;                           \
325 fi;                                                     \
326 case " $(XFAIL_TESTS) " in                              \
327   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
328     am__expect_failure=yes;;                            \
329   *)                                                    \
330     am__expect_failure=no;;                             \
331 esac;                                                   \
332 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
333 # A shell command to get the names of the tests scripts with any registered
334 # extension removed (i.e., equivalently, the names of the test logs, with
335 # the '.log' extension removed).  The result is saved in the shell variable
336 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
337 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
338 # since that might cause problem with VPATH rewrites for suffix-less tests.
339 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
340 am__set_TESTS_bases = \
341   bases='$(TEST_LOGS)'; \
342   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
343   bases=`echo $$bases`
344 RECHECK_LOGS = $(TEST_LOGS)
345 AM_RECURSIVE_TARGETS = check recheck
346 TEST_SUITE_LOG = test-suite.log
347 TEST_EXTENSIONS = @EXEEXT@ .test
348 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
349 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
350 am__set_b = \
351   case '$@' in \
352     */*) \
353       case '$*' in \
354         */*) b='$*';; \
355           *) b=`echo '$@' | sed 's/\.log$$//'`; \
356        esac;; \
357     *) \
358       b='$*';; \
359   esac
360 am__test_logs1 = $(TESTS:=.log)
361 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
362 TEST_LOGS = $(am__test_logs2:.test.log=.log)
363 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
364 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
365         $(TEST_LOG_FLAGS)
366 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
367 ACLOCAL = @ACLOCAL@
368 AMTAR = @AMTAR@
369 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
370 AUTOCONF = @AUTOCONF@
371 AUTOHEADER = @AUTOHEADER@
372 AUTOMAKE = @AUTOMAKE@
373 AWK = @AWK@
374 CC = @CC@
375 CCDEPMODE = @CCDEPMODE@
376 CFLAGS = @CFLAGS@
377 CPP = @CPP@
378 CPPFLAGS = @CPPFLAGS@
379 CURL_CFLAGS = @CURL_CFLAGS@
380 CURL_LIBS = @CURL_LIBS@
381 CYGPATH_W = @CYGPATH_W@
382 DEFS = @DEFS@
383 DEPDIR = @DEPDIR@
384 ECHO_C = @ECHO_C@
385 ECHO_N = @ECHO_N@
386 ECHO_T = @ECHO_T@
387 EGREP = @EGREP@
388 EXEEXT = @EXEEXT@
389 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
390 GMSGFMT = @GMSGFMT@
391 GMSGFMT_015 = @GMSGFMT_015@
392 GREP = @GREP@
393 HELP2MAN = @HELP2MAN@
394 INSTALL = @INSTALL@
395 INSTALL_DATA = @INSTALL_DATA@
396 INSTALL_PROGRAM = @INSTALL_PROGRAM@
397 INSTALL_SCRIPT = @INSTALL_SCRIPT@
398 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
399 INTLLIBS = @INTLLIBS@
400 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
401 JSON_CFLAGS = @JSON_CFLAGS@
402 JSON_LIBS = @JSON_LIBS@
403 LDFLAGS = @LDFLAGS@
404 LIBICONV = @LIBICONV@
405 LIBINTL = @LIBINTL@
406 LIBOBJS = @LIBOBJS@
407 LIBS = @LIBS@
408 LTLIBICONV = @LTLIBICONV@
409 LTLIBINTL = @LTLIBINTL@
410 LTLIBOBJS = @LTLIBOBJS@
411 MAKEINFO = @MAKEINFO@
412 MKDIR_P = @MKDIR_P@
413 MSGFMT = @MSGFMT@
414 MSGFMT_015 = @MSGFMT_015@
415 MSGMERGE = @MSGMERGE@
416 OBJEXT = @OBJEXT@
417 PACKAGE = @PACKAGE@
418 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
419 PACKAGE_NAME = @PACKAGE_NAME@
420 PACKAGE_STRING = @PACKAGE_STRING@
421 PACKAGE_TARNAME = @PACKAGE_TARNAME@
422 PACKAGE_URL = @PACKAGE_URL@
423 PACKAGE_VERSION = @PACKAGE_VERSION@
424 PATH_SEPARATOR = @PATH_SEPARATOR@
425 PKG_CONFIG = @PKG_CONFIG@
426 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
427 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
428 POSUB = @POSUB@
429 RANLIB = @RANLIB@
430 SET_MAKE = @SET_MAKE@
431 SHELL = @SHELL@
432 STRIP = @STRIP@
433 USE_NLS = @USE_NLS@
434 VERSION = @VERSION@
435 XGETTEXT = @XGETTEXT@
436 XGETTEXT_015 = @XGETTEXT_015@
437 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
438 XMKMF = @XMKMF@
439 abs_builddir = @abs_builddir@
440 abs_srcdir = @abs_srcdir@
441 abs_top_builddir = @abs_top_builddir@
442 abs_top_srcdir = @abs_top_srcdir@
443 ac_ct_CC = @ac_ct_CC@
444 am__include = @am__include@
445 am__leading_dot = @am__leading_dot@
446 am__quote = @am__quote@
447 am__tar = @am__tar@
448 am__untar = @am__untar@
449 bindir = @bindir@
450 build = @build@
451 build_alias = @build_alias@
452 build_cpu = @build_cpu@
453 build_os = @build_os@
454 build_vendor = @build_vendor@
455 builddir = @builddir@
456 datadir = @datadir@
457 datarootdir = @datarootdir@
458 docdir = @docdir@
459 dvidir = @dvidir@
460 exec_prefix = @exec_prefix@
461 host = @host@
462 host_alias = @host_alias@
463 host_cpu = @host_cpu@
464 host_os = @host_os@
465 host_vendor = @host_vendor@
466 htmldir = @htmldir@
467 includedir = @includedir@
468 infodir = @infodir@
469 install_sh = @install_sh@
470 libdir = @libdir@
471 libexecdir = @libexecdir@
472 localedir = @localedir@
473 localstatedir = @localstatedir@
474 mandir = @mandir@
475 mkdir_p = @mkdir_p@
476 oldincludedir = @oldincludedir@
477 pdfdir = @pdfdir@
478 prefix = @prefix@
479 program_transform_name = @program_transform_name@
480 psdir = @psdir@
481 sbindir = @sbindir@
482 sharedstatedir = @sharedstatedir@
483 srcdir = @srcdir@
484 sysconfdir = @sysconfdir@
485 target_alias = @target_alias@
486 top_build_prefix = @top_build_prefix@
487 top_builddir = @top_builddir@
488 top_srcdir = @top_srcdir@
489 EXTRA_DIST = \
490         checkpatch.pl \
491         test_strrep.c
492
493 test_strrep_SOURCES = \
494         test_strrep.c \
495         $(top_builddir)/src/pstr.h \
496         $(top_builddir)/src/pstr.c
497
498 test_strrep_CFLAGS = -I$(top_srcdir)/src
499 all: all-am
500
501 .SUFFIXES:
502 .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
503 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
504         @for dep in $?; do \
505           case '$(am__configure_deps)' in \
506             *$$dep*) \
507               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
508                 && { if test -f $@; then exit 0; else break; fi; }; \
509               exit 1;; \
510           esac; \
511         done; \
512         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
513         $(am__cd) $(top_srcdir) && \
514           $(AUTOMAKE) --gnu tests/Makefile
515 .PRECIOUS: Makefile
516 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
517         @case '$?' in \
518           *config.status*) \
519             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
520           *) \
521             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
522             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
523         esac;
524
525 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
526         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
527
528 $(top_srcdir)/configure:  $(am__configure_deps)
529         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
530 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
531         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
532 $(am__aclocal_m4_deps):
533
534 clean-checkPROGRAMS:
535         -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
536
537 test-strrep$(EXEEXT): $(test_strrep_OBJECTS) $(test_strrep_DEPENDENCIES) $(EXTRA_test_strrep_DEPENDENCIES) 
538         @rm -f test-strrep$(EXEEXT)
539         $(AM_V_CCLD)$(test_strrep_LINK) $(test_strrep_OBJECTS) $(test_strrep_LDADD) $(LIBS)
540
541 mostlyclean-compile:
542         -rm -f *.$(OBJEXT)
543
544 distclean-compile:
545         -rm -f *.tab.c
546
547 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_strrep-pstr.Po@am__quote@
548 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_strrep-test_strrep.Po@am__quote@
549
550 .c.o:
551 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
552 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
553 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
554 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
555 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
556
557 .c.obj:
558 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
559 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
560 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
561 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
562 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
563
564 test_strrep-test_strrep.o: test_strrep.c
565 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -MT test_strrep-test_strrep.o -MD -MP -MF $(DEPDIR)/test_strrep-test_strrep.Tpo -c -o test_strrep-test_strrep.o `test -f 'test_strrep.c' || echo '$(srcdir)/'`test_strrep.c
566 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_strrep-test_strrep.Tpo $(DEPDIR)/test_strrep-test_strrep.Po
567 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_strrep.c' object='test_strrep-test_strrep.o' libtool=no @AMDEPBACKSLASH@
568 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
569 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -c -o test_strrep-test_strrep.o `test -f 'test_strrep.c' || echo '$(srcdir)/'`test_strrep.c
570
571 test_strrep-test_strrep.obj: test_strrep.c
572 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -MT test_strrep-test_strrep.obj -MD -MP -MF $(DEPDIR)/test_strrep-test_strrep.Tpo -c -o test_strrep-test_strrep.obj `if test -f 'test_strrep.c'; then $(CYGPATH_W) 'test_strrep.c'; else $(CYGPATH_W) '$(srcdir)/test_strrep.c'; fi`
573 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_strrep-test_strrep.Tpo $(DEPDIR)/test_strrep-test_strrep.Po
574 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_strrep.c' object='test_strrep-test_strrep.obj' libtool=no @AMDEPBACKSLASH@
575 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
576 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -c -o test_strrep-test_strrep.obj `if test -f 'test_strrep.c'; then $(CYGPATH_W) 'test_strrep.c'; else $(CYGPATH_W) '$(srcdir)/test_strrep.c'; fi`
577
578 test_strrep-pstr.o: $(top_builddir)/src/pstr.c
579 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -MT test_strrep-pstr.o -MD -MP -MF $(DEPDIR)/test_strrep-pstr.Tpo -c -o test_strrep-pstr.o `test -f '$(top_builddir)/src/pstr.c' || echo '$(srcdir)/'`$(top_builddir)/src/pstr.c
580 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_strrep-pstr.Tpo $(DEPDIR)/test_strrep-pstr.Po
581 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(top_builddir)/src/pstr.c' object='test_strrep-pstr.o' libtool=no @AMDEPBACKSLASH@
582 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
583 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -c -o test_strrep-pstr.o `test -f '$(top_builddir)/src/pstr.c' || echo '$(srcdir)/'`$(top_builddir)/src/pstr.c
584
585 test_strrep-pstr.obj: $(top_builddir)/src/pstr.c
586 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -MT test_strrep-pstr.obj -MD -MP -MF $(DEPDIR)/test_strrep-pstr.Tpo -c -o test_strrep-pstr.obj `if test -f '$(top_builddir)/src/pstr.c'; then $(CYGPATH_W) '$(top_builddir)/src/pstr.c'; else $(CYGPATH_W) '$(srcdir)/$(top_builddir)/src/pstr.c'; fi`
587 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_strrep-pstr.Tpo $(DEPDIR)/test_strrep-pstr.Po
588 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(top_builddir)/src/pstr.c' object='test_strrep-pstr.obj' libtool=no @AMDEPBACKSLASH@
589 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
590 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -c -o test_strrep-pstr.obj `if test -f '$(top_builddir)/src/pstr.c'; then $(CYGPATH_W) '$(top_builddir)/src/pstr.c'; else $(CYGPATH_W) '$(srcdir)/$(top_builddir)/src/pstr.c'; fi`
591
592 ID: $(am__tagged_files)
593         $(am__define_uniq_tagged_files); mkid -fID $$unique
594 tags: tags-am
595 TAGS: tags
596
597 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
598         set x; \
599         here=`pwd`; \
600         $(am__define_uniq_tagged_files); \
601         shift; \
602         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
603           test -n "$$unique" || unique=$$empty_fix; \
604           if test $$# -gt 0; then \
605             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
606               "$$@" $$unique; \
607           else \
608             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
609               $$unique; \
610           fi; \
611         fi
612 ctags: ctags-am
613
614 CTAGS: ctags
615 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
616         $(am__define_uniq_tagged_files); \
617         test -z "$(CTAGS_ARGS)$$unique" \
618           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
619              $$unique
620
621 GTAGS:
622         here=`$(am__cd) $(top_builddir) && pwd` \
623           && $(am__cd) $(top_srcdir) \
624           && gtags -i $(GTAGS_ARGS) "$$here"
625 cscopelist: cscopelist-am
626
627 cscopelist-am: $(am__tagged_files)
628         list='$(am__tagged_files)'; \
629         case "$(srcdir)" in \
630           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
631           *) sdir=$(subdir)/$(srcdir) ;; \
632         esac; \
633         for i in $$list; do \
634           if test -f "$$i"; then \
635             echo "$(subdir)/$$i"; \
636           else \
637             echo "$$sdir/$$i"; \
638           fi; \
639         done >> $(top_builddir)/cscope.files
640
641 distclean-tags:
642         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
643
644 # Recover from deleted '.trs' file; this should ensure that
645 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
646 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
647 # to avoid problems with "make -n".
648 .log.trs:
649         rm -f $< $@
650         $(MAKE) $(AM_MAKEFLAGS) $<
651
652 # Leading 'am--fnord' is there to ensure the list of targets does not
653 # expand to empty, as could happen e.g. with make check TESTS=''.
654 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
655 am--force-recheck:
656         @:
657
658 $(TEST_SUITE_LOG): $(TEST_LOGS)
659         @$(am__set_TESTS_bases); \
660         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
661         redo_bases=`for i in $$bases; do \
662                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
663                     done`; \
664         if test -n "$$redo_bases"; then \
665           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
666           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
667           if $(am__make_dryrun); then :; else \
668             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
669           fi; \
670         fi; \
671         if test -n "$$am__remaking_logs"; then \
672           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
673                "recursion detected" >&2; \
674         else \
675           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
676         fi; \
677         if $(am__make_dryrun); then :; else \
678           st=0;  \
679           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
680           for i in $$redo_bases; do \
681             test -f $$i.trs && test -r $$i.trs \
682               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
683             test -f $$i.log && test -r $$i.log \
684               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
685           done; \
686           test $$st -eq 0 || exit 1; \
687         fi
688         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
689         ws='[   ]'; \
690         results=`for b in $$bases; do echo $$b.trs; done`; \
691         test -n "$$results" || results=/dev/null; \
692         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
693         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
694         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
695         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
696         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
697         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
698         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
699         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
700           success=true; \
701         else \
702           success=false; \
703         fi; \
704         br='==================='; br=$$br$$br$$br$$br; \
705         result_count () \
706         { \
707             if test x"$$1" = x"--maybe-color"; then \
708               maybe_colorize=yes; \
709             elif test x"$$1" = x"--no-color"; then \
710               maybe_colorize=no; \
711             else \
712               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
713             fi; \
714             shift; \
715             desc=$$1 count=$$2; \
716             if test $$maybe_colorize = yes && test $$count -gt 0; then \
717               color_start=$$3 color_end=$$std; \
718             else \
719               color_start= color_end=; \
720             fi; \
721             echo "$${color_start}# $$desc $$count$${color_end}"; \
722         }; \
723         create_testsuite_report () \
724         { \
725           result_count $$1 "TOTAL:" $$all   "$$brg"; \
726           result_count $$1 "PASS: " $$pass  "$$grn"; \
727           result_count $$1 "SKIP: " $$skip  "$$blu"; \
728           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
729           result_count $$1 "FAIL: " $$fail  "$$red"; \
730           result_count $$1 "XPASS:" $$xpass "$$red"; \
731           result_count $$1 "ERROR:" $$error "$$mgn"; \
732         }; \
733         {                                                               \
734           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
735             $(am__rst_title);                                           \
736           create_testsuite_report --no-color;                           \
737           echo;                                                         \
738           echo ".. contents:: :depth: 2";                               \
739           echo;                                                         \
740           for b in $$bases; do echo $$b; done                           \
741             | $(am__create_global_log);                                 \
742         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
743         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
744         if $$success; then                                              \
745           col="$$grn";                                                  \
746          else                                                           \
747           col="$$red";                                                  \
748           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
749         fi;                                                             \
750         echo "$${col}$$br$${std}";                                      \
751         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
752         echo "$${col}$$br$${std}";                                      \
753         create_testsuite_report --maybe-color;                          \
754         echo "$$col$$br$$std";                                          \
755         if $$success; then :; else                                      \
756           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
757           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
758             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
759           fi;                                                           \
760           echo "$$col$$br$$std";                                        \
761         fi;                                                             \
762         $$success || exit 1
763
764 check-TESTS:
765         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
766         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
767         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
768         @set +e; $(am__set_TESTS_bases); \
769         log_list=`for i in $$bases; do echo $$i.log; done`; \
770         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
771         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
772         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
773         exit $$?;
774 recheck: all $(check_PROGRAMS)
775         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
776         @set +e; $(am__set_TESTS_bases); \
777         bases=`for i in $$bases; do echo $$i; done \
778                  | $(am__list_recheck_tests)` || exit 1; \
779         log_list=`for i in $$bases; do echo $$i.log; done`; \
780         log_list=`echo $$log_list`; \
781         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
782                 am__force_recheck=am--force-recheck \
783                 TEST_LOGS="$$log_list"; \
784         exit $$?
785 test-strrep.log: test-strrep$(EXEEXT)
786         @p='test-strrep$(EXEEXT)'; \
787         b='test-strrep'; \
788         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
789         --log-file $$b.log --trs-file $$b.trs \
790         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
791         "$$tst" $(AM_TESTS_FD_REDIRECT)
792 .test.log:
793         @p='$<'; \
794         $(am__set_b); \
795         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
796         --log-file $$b.log --trs-file $$b.trs \
797         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
798         "$$tst" $(AM_TESTS_FD_REDIRECT)
799 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
800 @am__EXEEXT_TRUE@       @p='$<'; \
801 @am__EXEEXT_TRUE@       $(am__set_b); \
802 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
803 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
804 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
805 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
806
807 distdir: $(DISTFILES)
808         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
809         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
810         list='$(DISTFILES)'; \
811           dist_files=`for file in $$list; do echo $$file; done | \
812           sed -e "s|^$$srcdirstrip/||;t" \
813               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
814         case $$dist_files in \
815           */*) $(MKDIR_P) `echo "$$dist_files" | \
816                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
817                            sort -u` ;; \
818         esac; \
819         for file in $$dist_files; do \
820           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
821           if test -d $$d/$$file; then \
822             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
823             if test -d "$(distdir)/$$file"; then \
824               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
825             fi; \
826             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
827               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
828               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
829             fi; \
830             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
831           else \
832             test -f "$(distdir)/$$file" \
833             || cp -p $$d/$$file "$(distdir)/$$file" \
834             || exit 1; \
835           fi; \
836         done
837 check-am: all-am
838         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
839         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
840 check: check-am
841 all-am: Makefile
842 installdirs:
843 install: install-am
844 install-exec: install-exec-am
845 install-data: install-data-am
846 uninstall: uninstall-am
847
848 install-am: all-am
849         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
850
851 installcheck: installcheck-am
852 install-strip:
853         if test -z '$(STRIP)'; then \
854           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
855             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
856               install; \
857         else \
858           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
859             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
860             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
861         fi
862 mostlyclean-generic:
863         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
864         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
865         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
866
867 clean-generic:
868
869 distclean-generic:
870         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
871         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
872
873 maintainer-clean-generic:
874         @echo "This command is intended for maintainers to use"
875         @echo "it deletes files that may require special tools to rebuild."
876 clean: clean-am
877
878 clean-am: clean-checkPROGRAMS clean-generic mostlyclean-am
879
880 distclean: distclean-am
881         -rm -rf ./$(DEPDIR)
882         -rm -f Makefile
883 distclean-am: clean-am distclean-compile distclean-generic \
884         distclean-tags
885
886 dvi: dvi-am
887
888 dvi-am:
889
890 html: html-am
891
892 html-am:
893
894 info: info-am
895
896 info-am:
897
898 install-data-am:
899
900 install-dvi: install-dvi-am
901
902 install-dvi-am:
903
904 install-exec-am:
905
906 install-html: install-html-am
907
908 install-html-am:
909
910 install-info: install-info-am
911
912 install-info-am:
913
914 install-man:
915
916 install-pdf: install-pdf-am
917
918 install-pdf-am:
919
920 install-ps: install-ps-am
921
922 install-ps-am:
923
924 installcheck-am:
925
926 maintainer-clean: maintainer-clean-am
927         -rm -rf ./$(DEPDIR)
928         -rm -f Makefile
929 maintainer-clean-am: distclean-am maintainer-clean-generic
930
931 mostlyclean: mostlyclean-am
932
933 mostlyclean-am: mostlyclean-compile mostlyclean-generic
934
935 pdf: pdf-am
936
937 pdf-am:
938
939 ps: ps-am
940
941 ps-am:
942
943 uninstall-am:
944
945 .MAKE: check-am install-am install-strip
946
947 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am \
948         check-local clean clean-checkPROGRAMS clean-generic \
949         cscopelist-am ctags ctags-am distclean distclean-compile \
950         distclean-generic distclean-tags distdir dvi dvi-am html \
951         html-am info info-am install install-am install-data \
952         install-data-am install-dvi install-dvi-am install-exec \
953         install-exec-am install-html install-html-am install-info \
954         install-info-am install-man install-pdf install-pdf-am \
955         install-ps install-ps-am install-strip installcheck \
956         installcheck-am installdirs maintainer-clean \
957         maintainer-clean-generic mostlyclean mostlyclean-compile \
958         mostlyclean-generic pdf pdf-am ps ps-am recheck tags tags-am \
959         uninstall uninstall-am
960
961 check-local: checkpatch.pl
962         find $(top_srcdir)/src -name \*.c -exec $(srcdir)/checkpatch.pl --show-types -q --no-tree  -emacs -f {} \;
963         find $(top_srcdir)/src -name \*.h -exec $(srcdir)/checkpatch.pl --ignore NEW_TYPEDEFS --show-types -q --no-tree  -emacs -f {} \;
964
965 # Tell versions [3.59,3.63) of GNU make to not export all variables.
966 # Otherwise a system limit (for SysV at least) may be exceeded.
967 .NOEXPORT: